package com.seeyon.apps.src_ydctdatasync;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_ydctdatasync.constants.YdzbdataSyncConstants;

public class YdzbdataSyncPluginApi extends APluginInfoApi {
    public YdzbdataSyncPluginApi() {
    }

    public String getPluginId() {
        return YdzbdataSyncConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "宜都城投数据同步";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        YdzbdataSyncConstants[] var2 = YdzbdataSyncConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            YdzbdataSyncConstants value = var2[var4];
            if (value != YdzbdataSyncConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }

//    public void registerCustomEvent(Map eventAndNodes) {
//        eventAndNodes.put("propertyDispose", "资产管理待办推送");
//    }
}

